Bug 489289 - dependency issues on RHEL-4 with hibernate3 and jakarta-commons-logging-jboss packages
dependency issues on RHEL-4 with hibernate3 and jakarta-commons-logging-jboss...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Jan Hutař
:
Depends On:
Blocks: 456985 486216
  Show dependency treegraph
 
Reported: 2009-03-09 07:11 EDT by Jan Hutař
Modified: 2009-09-10 14:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-03-09 07:11:42 EDT
Description of problem:
My RHEL-4 installations of the last nightly ends with dependency issue.


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL4-re20090306.1


How reproducible:
3 of 3 attempts on all 3 archs


Steps to Reproduce:
1. # /mnt/redhat/devel/candidate-trees/Satellite-5.3.0-RHEL4-re20090306.1/s390x/s390x//install.pl --answer-file=/mnt/tests/CoreOS/RHN-Satellite/Installer/Sanity/install/answers.txt --non-interactive --disconnected --run-updater


Actual results:
[...]
Running up2date -i PyXML alsa-lib apr apr-util compat-db distcache gd gd-devel gd-progs httpd httpd-suexec libaio mod_python mod_ssl newt-perl perl-Archive-Tar perl-Compress-Zlib perl-DateManip perl-Digest-HMAC perl-Digest-SHA1 perl-IO-String perl-Parse-Yapp perl-Time-HiRes tftp-server xorg-x11-deprecated-libs
* Applying updates.
* Installing RHN packages.
Could not install RHN packages.  Most likely your system is not configured with the @Base package group.  See the RHN Satellite Server Installation Guide for more information about Software Requirements.  Exit value: 250.
Please examine /var/log/rhn/rhn-installation.log for more information.

# cat rhn-installation.log
[...]
Installing /var/spool/up2date/mod_ssl-2.0.52-41.ent.2.s390x.rpm...
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
perl-IO-Zlib                            1.04           4.2.el4             

No updates available for this system
ERROR: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.
Unresolved rpm dependencies:

Package hibernate3-3.2.4-1.SP1_CP07.0jpp.ep1.14.el4 requires jakarta-commons-logging-jboss >= 0:1.1


Expected results:
Installation continues


Additional info:
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=49422
Comment 1 Dennis Gilmore 2009-03-13 17:13:26 EDT
comps changes have been made to pick up jakarta-commons-logging-jboss.  This is a new package pulled in my EAP package updates.
Comment 2 Jan Hutař 2009-03-30 04:48:23 EDT
Thank you, this seems OK now (with re20090327.0). Jan
Comment 3 Milan Zazrivec 2009-09-08 08:38:43 EDT
Verified with final 5.3.0 rhel4 iso. RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 14:15:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.